## stein
Class Steinwerkzeug

    java.lang.Object
      stein.Steinwerkzeug

    public class Steinwerkzeug

extends java.lang.Object

Ein Steinwerkzeug liefert einige nützliche Ein-und Ausgabemethoden.

Version:
  12.11.2005
Author:
  Ulrich Roidl

Constructor Summary
`Steinwerkzeug()`

Method Summary
`int` | `dateilaenge()` Liefert die Anzahl der Zeilen einer im Dialog auszuwählenden Datei
`int` | `dateilaenge(java.lang.String pDateiname)` Liefert die Anzahl der Zeilen mit Datei "pDateiname".
`double[]` | `erzeugeDoubleArrayAusDatei(java.lang.String dateiname)` Erzeugt ein Array mit Kommazahlen und schreibt je eine Kommazahl aus einer Zeile der Datei "pDateiname" in ein Element des Arrays.
`int[]` | `erzeugeIntArrayAusDatei(java.lang.String dateiname)` Erzeugt ein Array mit ganzen Zahlen und schreibt je eine ganze Zahl aus einer Zeile der Datei "pDateiname" in ein Element des Arrays.
`java.lang.String[]` | `erzeugeStringArrayAusDatei(java.lang.String dateiname)` Erzeugt ein Array mitTexten und schreibt je eine Zeile der Datei "pDateiname" in ein Element des Arrays.
`static java.lang.String` | `getDateiname()` Liefert einen mit Hilfe eines Auswahldialogs ausgewählten Dateinamen.
`static double` | `getDouble()` Eingabe einer Kommazahl von der Java-Konsole aus.
`static int` | `getInt()` Eingabe einer ganzen Zahl von der Java-Konsole aus.
`static java.lang.String` | `getString()` Eingabe eines Textes von der Java-Konsole aus.
`void` | `schreibeArrayInDatei(double[] pArray)` Schreibt den Inhalt eines Arrays mit Kommazahlen in eine im Dialog auszuwählende Datei.
`void` | `schreibeArrayInDatei(double[] pArray, java.lang.String pDateiname)` Schreibt den Inhalt eines Arrays mit Kommazahlen zeilenweise in die Datei "pDateiname".
`void` | `schreibeArrayInDatei(int[] pArray)` Schreibt den Inhalt eines Arrays mit ganzen Zahlen in eine im Dialog auszuwählende Datei.
`void` | `schreibeArrayInDatei(int[] pArray, java.lang.String pDateiname)` Schreibt den Inhalt eines Arrays mit ganzen Zahlen zeilenweise in die Datei "pDateiname".
`void` | `schreibeArrayInDatei(java.lang.String[] pArray)` Schreibt den Inhalt eines Arrays mit Texten in eine im Dialog auszuwählende Datei.
`void` | `schreibeArrayInDatei(java.lang.String[] pArray, java.lang.String pDateiname)` Schreibt den Inhalt eines Arrays mit Texten zeilenweise in die Datei "pDateiname".

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Steinwerkzeug

    public Steinwerkzeug()

Method Detail

### dateilaenge

    public int dateilaenge()

  Liefert die Anzahl der Zeilen einer im Dialog auszuwählenden Datei

### dateilaenge

    public int dateilaenge(java.lang.String pDateiname)

  Liefert die Anzahl der Zeilen mit Datei "pDateiname".

### erzeugeDoubleArrayAusDatei

    public double[] erzeugeDoubleArrayAusDatei(java.lang.String dateiname)

  Erzeugt ein Array mit Kommazahlen und schreibt je eine Kommazahl aus einer Zeile der Datei "pDateiname" in ein Element des Arrays.

  Die Länge des Arrays entspricht der Anzahl der Zeilen der Datei.

  FEHLER: Eine Zeile der Datei enthält keine Kommazahl (bzw. ganze Zahl).

### erzeugeIntArrayAusDatei

    public int[] erzeugeIntArrayAusDatei(java.lang.String dateiname)

  Erzeugt ein Array mit ganzen Zahlen und schreibt je eine ganze Zahl aus einer Zeile der Datei "pDateiname" in ein Element des Arrays.

  Die Länge des Arrays entspricht der Anzahl der Zeilen der Datei.

  FEHLER: Eine Zeile der Datei enthält keine ganze Zahl.

### erzeugeStringArrayAusDatei

    public java.lang.String[] erzeugeStringArrayAusDatei(java.lang.String dateiname)

  Erzeugt ein Array mitTexten und schreibt je eine Zeile der Datei "pDateiname" in ein Element des Arrays.

  Die Länge des Arrays entspricht der Anzahl der Zeilen der Datei.

### getDateiname

    public static java.lang.String getDateiname()

  Liefert einen mit Hilfe eines Auswahldialogs ausgewählten Dateinamen.

  FEHLER: Datei existiert nicht.

### getDouble

    public static double getDouble()

  Eingabe einer Kommazahl von der Java-Konsole aus.

### getInt

    public static int getInt()

  Eingabe einer ganzen Zahl von der Java-Konsole aus.

### getString

    public static java.lang.String getString()

  Eingabe eines Textes von der Java-Konsole aus.

### schreibeArrayInDatei

    public void schreibeArrayInDatei(double[] pArray)

  Schreibt den Inhalt eines Arrays mit Kommazahlen in eine im Dialog auszuwählende Datei.

  FEHLER: Datei existiert nicht.

### schreibeArrayInDatei

    public void schreibeArrayInDatei(double[] pArray,
                                     java.lang.String pDateiname)

  Schreibt den Inhalt eines Arrays mit Kommazahlen zeilenweise in die Datei "pDateiname".

  FEHLER: Datei existiert nicht.

### schreibeArrayInDatei

    public void schreibeArrayInDatei(int[] pArray)

  Schreibt den Inhalt eines Arrays mit ganzen Zahlen in eine im Dialog auszuwählende Datei.

  FEHLER: Datei existiert nicht.

### schreibeArrayInDatei

    public void schreibeArrayInDatei(int[] pArray,
                                     java.lang.String pDateiname)

  Schreibt den Inhalt eines Arrays mit ganzen Zahlen zeilenweise in die Datei "pDateiname".

  FEHLER: Datei existiert nicht.

### schreibeArrayInDatei

    public void schreibeArrayInDatei(java.lang.String[] pArray)

  Schreibt den Inhalt eines Arrays mit Texten in eine im Dialog auszuwählende Datei.

  FEHLER: Datei existiert nicht.

### schreibeArrayInDatei

    public void schreibeArrayInDatei(java.lang.String[] pArray,
                                     java.lang.String pDateiname)

  Schreibt den Inhalt eines Arrays mit Texten zeilenweise in die Datei "pDateiname".

  FEHLER: Datei existiert nicht.